<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.1) on Wed May 01 22:01:46 CEST 2019 -->
<title>P-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2019-05-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="P-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../projet/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../projet/package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">X</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="../projet/Case.html#passage(int)">passage(int)</a></span> - Method in class projet.<a href="../projet/Case.html" title="class in projet">Case</a></dt>
<dd>
<div class="block">retourne true si le monstre peut se deplacer à cet endroit et modifie la valeur de la trace du monstre, false sinon</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/Plateau.html#plateau">plateau</a></span> - Static variable in class projet.<a href="../projet/Plateau.html" title="class in projet">Plateau</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projet/Plateau.html" title="class in projet"><span class="typeNameLink">Plateau</span></a> - Class in <a href="../projet/package-summary.html">projet</a></dt>
<dd>
<div class="block">Permet d'avoir la base d'un plateau qui sera modifié selon si la personne est monstre ou chasseur</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/Plateau.html#%3Cinit%3E()">Plateau()</a></span> - Constructor for class projet.<a href="../projet/Plateau.html" title="class in projet">Plateau</a></dt>
<dd>
<div class="block">Crée un plateau de taille TAILLE</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/Plateau.html#%3Cinit%3E(int)">Plateau(int)</a></span> - Constructor for class projet.<a href="../projet/Plateau.html" title="class in projet">Plateau</a></dt>
<dd>
<div class="block">Crée un plateau carré de taille x</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/Plateau.html#%3Cinit%3E(int,int)">Plateau(int, int)</a></span> - Constructor for class projet.<a href="../projet/Plateau.html" title="class in projet">Plateau</a></dt>
<dd>
<div class="block">Crée un plateau de taille nbLig x nbCol</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/Plateau.html#%3Cinit%3E(projet.Case%5B%5D%5B%5D)">Plateau(Case[][])</a></span> - Constructor for class projet.<a href="../projet/Plateau.html" title="class in projet">Plateau</a></dt>
<dd>
<div class="block">Crée un plateau grace un tableau de case</div>
</dd>
<dt><a href="../projet/PlateauChasseur.html" title="class in projet"><span class="typeNameLink">PlateauChasseur</span></a> - Class in <a href="../projet/package-summary.html">projet</a></dt>
<dd>
<div class="block">Creer le plateau du chasseur</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/PlateauChasseur.html#%3Cinit%3E()">PlateauChasseur()</a></span> - Constructor for class projet.<a href="../projet/PlateauChasseur.html" title="class in projet">PlateauChasseur</a></dt>
<dd>
<div class="block">Crée un plateau de taille TAILLE</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/PlateauChasseur.html#%3Cinit%3E(int)">PlateauChasseur(int)</a></span> - Constructor for class projet.<a href="../projet/PlateauChasseur.html" title="class in projet">PlateauChasseur</a></dt>
<dd>
<div class="block">Crée un plateau carré de taille x</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/PlateauChasseur.html#%3Cinit%3E(int,int)">PlateauChasseur(int, int)</a></span> - Constructor for class projet.<a href="../projet/PlateauChasseur.html" title="class in projet">PlateauChasseur</a></dt>
<dd>
<div class="block">Crée un plateau de taille nbLig x nbCol</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/PlateauChasseur.html#%3Cinit%3E(projet.Case%5B%5D%5B%5D)">PlateauChasseur(Case[][])</a></span> - Constructor for class projet.<a href="../projet/PlateauChasseur.html" title="class in projet">PlateauChasseur</a></dt>
<dd>
<div class="block">Crée un plateau grace un tableau de case</div>
</dd>
<dt><a href="../projet/PlateauMonstre.html" title="class in projet"><span class="typeNameLink">PlateauMonstre</span></a> - Class in <a href="../projet/package-summary.html">projet</a></dt>
<dd>
<div class="block">Cette classe gère le plateau du monstre, les déplacements du monstre et permet de savoir si le monstre a gagné ou perdu</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/PlateauMonstre.html#%3Cinit%3E()">PlateauMonstre()</a></span> - Constructor for class projet.<a href="../projet/PlateauMonstre.html" title="class in projet">PlateauMonstre</a></dt>
<dd>
<div class="block">Constructeur sans parametres</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/PlateauMonstre.html#%3Cinit%3E(int)">PlateauMonstre(int)</a></span> - Constructor for class projet.<a href="../projet/PlateauMonstre.html" title="class in projet">PlateauMonstre</a></dt>
<dd>
<div class="block">Construit un plateau de taille x * x</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/PlateauMonstre.html#%3Cinit%3E(int,int)">PlateauMonstre(int, int)</a></span> - Constructor for class projet.<a href="../projet/PlateauMonstre.html" title="class in projet">PlateauMonstre</a></dt>
<dd>
<div class="block">Construit un plateau de taille nbLig * nbCol</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/PlateauMonstre.html#%3Cinit%3E(projet.Case%5B%5D%5B%5D)">PlateauMonstre(Case[][])</a></span> - Constructor for class projet.<a href="../projet/PlateauMonstre.html" title="class in projet">PlateauMonstre</a></dt>
<dd>
<div class="block">Construit un plateau à partir d'un plateau déjà existant donné en parametres</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/Plateau.html#position">position</a></span> - Static variable in class projet.<a href="../projet/Plateau.html" title="class in projet">Plateau</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../projet/Position.html" title="class in projet"><span class="typeNameLink">Position</span></a> - Class in <a href="../projet/package-summary.html">projet</a></dt>
<dd>
<div class="block">Cette classe permet de gérer la position sur un plateau</div>
</dd>
<dt><span class="memberNameLink"><a href="../projet/Position.html#%3Cinit%3E(int,int)">Position(int, int)</a></span> - Constructor for class projet.<a href="../projet/Position.html" title="class in projet">Position</a></dt>
<dd>
<div class="block">Constructeur</div>
</dd>
<dt><a href="../projet/package-summary.html">projet</a> - package projet</dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">X</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../projet/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../projet/package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
